%==========================================================================
% The function defines the ouptut mapping from state to output for the 
% tractor example
%   Input Parameter: state x, control input u; both are column vectors
%   Output Parameter: output y; is a column vector
%
% AUTHOR: Joerg Fischer, Lukas Klar
% Systems control and optimization laboratory, 
% Department of Microsystems Engineering (IMTEK),
% University of Freiburg
%
% REMARK: function is called from script "traktor_simulate"
%==========================================================================
% output is the second state (y-position of the tractor)
function [xout] = tractor_out(x, u)
  xout = x(2);
end